RadioLib Universal wireless communication library for Arduino

Public Types | Public Attributes | List of all members
tone_t Struct Reference

Structure to save data about tone. More...

`#include <SSTV.h>`

## Public Types
enum | { GENERIC = 0 , SCAN_GREEN , SCAN_BLUE , SCAN_RED }
| Tone type: GENERIC for sync and porch tones, SCAN_GREEN, SCAN_BLUE and SCAN_RED for scan lines.

## Public Attributes
enum tone_t:: { ... } | type
| Tone type: GENERIC for sync and porch tones, SCAN_GREEN, SCAN_BLUE and SCAN_RED for scan lines.
uint32_t | len
| Length of tone in us, set to 0 for picture scan tones.
uint16_t | freq
| Frequency of tone in Hz, set to 0 for picture scan tones.

## Detailed Description

Structure to save data about tone.

The documentation for this struct was generated from the following file:

- src/protocols/SSTV/SSTV.h